NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAM::LaserProfileMove Class Reference

Represents a LaserProfileMove
To create a new instance of this class, use NXOpen::CAM::MoveCollection::CreateLaserProfileMove

Created in NX9.0.0. More...

Inheritance diagram for NXOpen::CAM::LaserProfileMove:
NXOpen::CAM::MoveBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CollisionChecks { CollisionChecksNone, CollisionChecksNozzleOnly, CollisionChecksNozzleAndHolder, CollisionChecksSolidLaserHead }
 the Collision Check enum
Created in NX9.0.0. More...
 
enum  InterpMethods { InterpMethodsLinear, InterpMethodsCubicSpline, InterpMethodsSmooth }
 the Interpolation Method enum
Created in NX9.0.0. More...
 
enum  ShapeTypes { ShapeTypesExternalTrim, ShapeTypesInternalTrim, ShapeTypesOpenProfile }
 the Shape Type enum
Created in NX9.0.0. More...
 
enum  ToolSides { ToolSidesOn, ToolSidesLeft, ToolSidesRight }
 the Tool Side enum
Created in NX9.0.0. More...
 
- Public Types inherited from NXOpen::CAM::MoveBuilder
enum  Feed { FeedMotion, FeedCustom }
 the feed Type More...
 
enum  Motion {
  MotionRapid = 1, MotionEngage, MotionCut, MotionStepover,
  MotionRetract, MotionApproach, MotionTraversal, MotionDeparture,
  MotionReturn, MotionFirstCut, MotionLastCut, MotionCrossover
}
 the motion Type More...
 

Public Member Functions

NXOpen::CAM::LaserProfileMove::CollisionChecks CollisionCheck ()
 Returns the Collision Check
Created in NX9.0.0. More...
 
NXOpen::CAM::LaserControlPointCreateControlPoint (int headOrientType, NXOpen::Point *pointTag, NXOpen::CartesianCoordinateSystem *csysTag, int processType, bool toggle, NXOpen::NXObject *udePathTag, int pointType)
 Create a new Laser Control Point. More...
 
NXOpen::CAM::LaserCutDirectionCutDirection ()
 Returns the Cut Direction
Created in NX9.0.0. More...
 
NXOpen::CAM::LaserHeadOrientationHeadOrientation ()
 Returns the Head Orientation
Created in NX9.0.0. More...
 
NXOpen::CAM::LaserProfileMove::InterpMethods InterpMethod ()
 Returns the Interpolation Method
Created in NX9.0.0. More...
 
NXOpen::CAM::LaserControlPointListList ()
 Returns the List
Created in NX9.0.0. More...
 
double MaxGapDist ()
 Returns the Max Gap Distance
Created in NX9.0.0. More...
 
double MaxTiltAngle ()
 Returns the Max Tilt Angle
Created in NX9.0.0. More...
 
NXOpen::SectionProfileSection ()
 Returns the Profile Section
Created in NX9.0.0. More...
 
void SetCollisionCheck (NXOpen::CAM::LaserProfileMove::CollisionChecks type)
 Sets the Collision Check
Created in NX9.0.0. More...
 
void SetInterpMethod (NXOpen::CAM::LaserProfileMove::InterpMethods type)
 Sets the Interpolation Method
Created in NX9.0.0. More...
 
void SetMaxGapDist (double newValue)
 Sets the Max Gap Distance
Created in NX9.0.0. More...
 
void SetMaxTiltAngle (double newValue)
 Sets the Max Tilt Angle
Created in NX9.0.0. More...
 
void SetProfileSection (NXOpen::Section *profileSection)
 Sets the Profile Section
Created in NX9.0.0. More...
 
void SetShapeType (NXOpen::CAM::LaserProfileMove::ShapeTypes type)
 Sets the Shape Type
Created in NX9.0.0. More...
 
void SetToolSide (NXOpen::CAM::LaserProfileMove::ToolSides type)
 Sets the Tool Side
Created in NX9.0.0. More...
 
NXOpen::CAM::LaserProfileMove::ShapeTypes ShapeType ()
 Returns the Shape Type
Created in NX9.0.0. More...
 
NXOpen::CAM::LaserProfileMove::ToolSides ToolSide ()
 Returns the Tool Side
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::CAM::MoveBuilder
double FeedRate ()
 Returns the feed rate
Created in NX5.0.0. More...
 
NXOpen::CAM::MoveBuilder::Feed FeedType ()
 Returns the feed type
Created in NX5.0.0. More...
 
NXOpen::CAM::FeedRateUnit FeedUnit ()
 Returns the feed unit
Created in NX7.5.0. More...
 
NXOpen::CAM::UdeParameterGetUserParameter (const NXString &parameterName)
 Returns the custom parameter with the given name. More...
 
NXOpen::CAM::UdeParameterGetUserParameter (const char *parameterName)
 Returns the custom parameter with the given name. More...
 
NXOpen::CAM::UdeParameterGetUserParameter (int index)
 Returns the parameter at the input index. More...
 
NXOpen::CAM::MoveBuilder::Motion MotionType ()
 Returns the motion type
Created in NX5.0.0. More...
 
int NumberOfUserParameters ()
 Returns the number of user parameters
Created in NX8.0.0. More...
 
bool ProtectedMove ()
 Returns the protected move status
Created in NX5.0.0. More...
 
void SetFeedRate (double feedRate)
 Sets the feed rate
Created in NX5.0.0. More...
 
void SetFeedType (NXOpen::CAM::MoveBuilder::Feed feedType)
 Sets the feed type
Created in NX5.0.0. More...
 
void SetFeedUnit (NXOpen::CAM::FeedRateUnit unit)
 Sets the feed unit
Created in NX7.5.0. More...
 
void SetMotionType (NXOpen::CAM::MoveBuilder::Motion motionType)
 Sets the motion type
Created in NX5.0.0. More...
 
void SetParent (NXOpen::CAM::CAMObject *parent)
 Set parent
Created in NX5.0.0. More...
 
void SetProtectedMove (bool protectedMove)
 Sets the protected move status
Created in NX5.0.0. More...
 
void SetSibling (NXOpen::CAM::CAMObject *sibling)
 Set sibling
Created in NX5.0.0. More...
 
void SetSubopLabel (const NXString &subopLabel)
 Sets the subop label
Created in NX8.5.1. More...
 
void SetSubopLabel (const char *subopLabel)
 Sets the subop label
Created in NX8.5.1. More...
 
NXString SubopLabel ()
 Returns the subop label
Created in NX8.5.1. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a LaserProfileMove
To create a new instance of this class, use NXOpen::CAM::MoveCollection::CreateLaserProfileMove

Created in NX9.0.0.


Member Enumeration Documentation

the Collision Check enum
Created in NX9.0.0.


Enumerator
CollisionChecksNone 

None.

CollisionChecksNozzleOnly 

Nozzle Only.

CollisionChecksNozzleAndHolder 

Nozzle and Holder.

CollisionChecksSolidLaserHead 

Solid Laser Head.

the Interpolation Method enum
Created in NX9.0.0.


Enumerator
InterpMethodsLinear 

Linear.

InterpMethodsCubicSpline 

Cubic Spline.

InterpMethodsSmooth 

Smooth.

the Shape Type enum
Created in NX9.0.0.


Enumerator
ShapeTypesExternalTrim 

External Trim.

ShapeTypesInternalTrim 

Internal Trim.

ShapeTypesOpenProfile 

Open Profile.

the Tool Side enum
Created in NX9.0.0.


Enumerator
ToolSidesOn 

On.

ToolSidesLeft 

Left.

ToolSidesRight 

Right.

Member Function Documentation

NXOpen::CAM::LaserProfileMove::CollisionChecks NXOpen::CAM::LaserProfileMove::CollisionCheck ( )

Returns the Collision Check
Created in NX9.0.0.



License requirements : None

NXOpen::CAM::LaserControlPoint* NXOpen::CAM::LaserProfileMove::CreateControlPoint ( int  headOrientType,
NXOpen::Point pointTag,
NXOpen::CartesianCoordinateSystem csysTag,
int  processType,
bool  toggle,
NXOpen::NXObject udePathTag,
int  pointType 
)

Create a new Laser Control Point.

Returns
the control points
Created in NX9.0.0.

License requirements : cam_base ("CAM BASE")
Parameters
headOrientTypehead orient type
pointTagthe point
csysTagthe csys
processTypepoint process type
toggleevents toggle
udePathTagthe ude path
pointTypepoint type
NXOpen::CAM::LaserCutDirection* NXOpen::CAM::LaserProfileMove::CutDirection ( )

Returns the Cut Direction
Created in NX9.0.0.



License requirements : None

NXOpen::CAM::LaserHeadOrientation* NXOpen::CAM::LaserProfileMove::HeadOrientation ( )

Returns the Head Orientation
Created in NX9.0.0.



License requirements : None

NXOpen::CAM::LaserProfileMove::InterpMethods NXOpen::CAM::LaserProfileMove::InterpMethod ( )

Returns the Interpolation Method
Created in NX9.0.0.



License requirements : None

NXOpen::CAM::LaserControlPointList* NXOpen::CAM::LaserProfileMove::List ( )

Returns the List
Created in NX9.0.0.



License requirements : None

double NXOpen::CAM::LaserProfileMove::MaxGapDist ( )

Returns the Max Gap Distance
Created in NX9.0.0.



License requirements : None

double NXOpen::CAM::LaserProfileMove::MaxTiltAngle ( )

Returns the Max Tilt Angle
Created in NX9.0.0.



License requirements : None

NXOpen::Section* NXOpen::CAM::LaserProfileMove::ProfileSection ( )

Returns the Profile Section
Created in NX9.0.0.



License requirements : None

void NXOpen::CAM::LaserProfileMove::SetCollisionCheck ( NXOpen::CAM::LaserProfileMove::CollisionChecks  type)

Sets the Collision Check
Created in NX9.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
typethe collision check
void NXOpen::CAM::LaserProfileMove::SetInterpMethod ( NXOpen::CAM::LaserProfileMove::InterpMethods  type)

Sets the Interpolation Method
Created in NX9.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
typethe interpolation method
void NXOpen::CAM::LaserProfileMove::SetMaxGapDist ( double  newValue)

Sets the Max Gap Distance
Created in NX9.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
newValuethe Max Gap Distance
void NXOpen::CAM::LaserProfileMove::SetMaxTiltAngle ( double  newValue)

Sets the Max Tilt Angle
Created in NX9.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
newValuethe Max Tilt Angle
void NXOpen::CAM::LaserProfileMove::SetProfileSection ( NXOpen::Section profileSection)

Sets the Profile Section
Created in NX9.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
profileSectionthe Profile Section
void NXOpen::CAM::LaserProfileMove::SetShapeType ( NXOpen::CAM::LaserProfileMove::ShapeTypes  type)

Sets the Shape Type
Created in NX9.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
typethe shape type
void NXOpen::CAM::LaserProfileMove::SetToolSide ( NXOpen::CAM::LaserProfileMove::ToolSides  type)

Sets the Tool Side
Created in NX9.0.0.



License requirements : cam_base ("CAM BASE")

Parameters
typethe tool side
NXOpen::CAM::LaserProfileMove::ShapeTypes NXOpen::CAM::LaserProfileMove::ShapeType ( )

Returns the Shape Type
Created in NX9.0.0.



License requirements : None

NXOpen::CAM::LaserProfileMove::ToolSides NXOpen::CAM::LaserProfileMove::ToolSide ( )

Returns the Tool Side
Created in NX9.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.